Instalação falha no Linux de 64 bits

Problema

Quando você instala uma versão do Communiqué anterior à 4.2.1 em um servidor Linux de 64 bits com o JDK 1.5.0, você obtém um erro semelhante ao seguinte:

CLASSPATH: /tmp/install.dir.30430/InstallerData: /tmp/install.dir.30430/InstallerData/installer.zip: grep: erro ao carregar bibliotecas compartilhadas: libc.so.6: não é possível abrir o arquivo de objeto compartilhado: não há esse arquivo ou diretório ========= Forking JAVA ==================================== ========= /opt/jdk1.5.0_12/bin/java: erro ao carregar bibliotecas compartilhadas: libpthread.so.0: não é possível abrir o arquivo de objeto compartilhado: Não há esse arquivo ou diretório

Solução

Desative o LD_ASSUME_KERNEL no script do instalador:

cat cq4-2-0-20070327-db.sh | sed "s/export LD_ASSUME_KERNEL/#xport LD_ASSUME_KERNEL/" > cq4-inst.sh

Informações adicionais

Este erro é o resultado de um problema no instalador do Communiqué. O problema foi corrigido na versão 4.2.1.

 Adobe

Receba ajuda com mais rapidez e facilidade

Novo usuário?